using System.Collections.Generic;
using System.Threading.Tasks;

namespace Server.AliyunSDK.SLSLog
{
    public static class EventTrackingUtil
    {
        private static readonly StatisticsTrackingLogInfo _logInfo = new StatisticsTrackingLogInfo();
        
        public static Task OnEvent(StatisticsTrackingLogData data)
        {
            return SLSLogManager.Instance.ReportLog(_logInfo, new List<StatisticsTrackingLogData> {data});
        }
        
        public static Task OnEvent(List<StatisticsTrackingLogData> datas)
        {
            return SLSLogManager.Instance.ReportLog(_logInfo, datas);
        }
    }
}